net.minecraft.network.play.server

## Class S2APacketParticles

- java.lang.Object
- - net.minecraft.network.Packet
  - - net.minecraft.network.play.server.S2APacketParticles

-     public class S2APacketParticles
      extends Packet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `S2APacketParticles()`
    `S2APacketParticles(java.lang.String p_i45199_1_, float p_i45199_2_, float p_i45199_3_, float p_i45199_4_, float p_i45199_5_, float p_i45199_6_, float p_i45199_7_, float p_i45199_8_, int p_i45199_9_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `func_149220_d()`
    `float` | `func_149221_g()`
    `int` | `func_149222_k()`
    `float` | `func_149223_i()`
    `float` | `func_149224_h()`
    `double` | `func_149225_f()`
    `double` | `func_149226_e()`
    `float` | `func_149227_j()`
    `java.lang.String` | `func_149228_c()`
    `void` | `processPacket(INetHandler p_148833_1_)`
    `void` | `processPacket(INetHandlerPlayClient p_149229_1_)`
    `void` | `readPacketData(PacketBuffer p_148837_1_)`
    `void` | `writePacketData(PacketBuffer p_148840_1_)`

    - ### Methods inherited from class net.minecraft.network.Packet

      `generatePacket, hasPriority, readBlob, serialize, toString, writeBlob`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### S2APacketParticles

          public S2APacketParticles()

    - #### S2APacketParticles

          public S2APacketParticles(java.lang.String p_i45199_1_,
                            float p_i45199_2_,
                            float p_i45199_3_,
                            float p_i45199_4_,
                            float p_i45199_5_,
                            float p_i45199_6_,
                            float p_i45199_7_,
                            float p_i45199_8_,
                            int p_i45199_9_)

  - ### Method Detail

    - #### readPacketData

          public void readPacketData(PacketBuffer p_148837_1_)
                              throws java.io.IOException

      Specified by:
        `readPacketData` in class `Packet`
      Throws:
        `java.io.IOException`

    - #### writePacketData

          public void writePacketData(PacketBuffer p_148840_1_)
                               throws java.io.IOException

      Specified by:
        `writePacketData` in class `Packet`
      Throws:
        `java.io.IOException`

    - #### func_149228_c

          public java.lang.String func_149228_c()

    - #### func_149220_d

          public double func_149220_d()

    - #### func_149226_e

          public double func_149226_e()

    - #### func_149225_f

          public double func_149225_f()

    - #### func_149221_g

          public float func_149221_g()

    - #### func_149224_h

          public float func_149224_h()

    - #### func_149223_i

          public float func_149223_i()

    - #### func_149227_j

          public float func_149227_j()

    - #### func_149222_k

          public int func_149222_k()

    - #### processPacket

          public void processPacket(INetHandlerPlayClient p_149229_1_)

    - #### processPacket

          public void processPacket(INetHandler p_148833_1_)

      Specified by:
        `processPacket` in class `Packet`